This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 683860 - sssd 1.5.1-9 breaks AD authentication
sssd 1.5.1-9 breaks AD authentication
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.1
i686 Linux
unspecified Severity high
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
: Regression
Depends On: 683267
Blocks: 688697
  Show dependency treegraph
 
Reported: 2011-03-10 09:32 EST by Stephen Gallagher
Modified: 2015-01-04 18:47 EST (History)
12 users (show)

See Also:
Fixed In Version: sssd-1.5.1-15.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 683267
: 688697 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2011-03-10 09:32:21 EST
+++ This bug was initially created as a clone of Bug #683267 +++

Created attachment 483062 [details]
Requested sssd logs, with debug level set to 9

Description of problem:
On upgrade to 1.5.1-9, AD authentication stops working. Reverting to 1.5.1-3 fixes the issue, using identical configuration files.

Version-Release number of selected component (if applicable):
1.5.1-9

How reproducible:
Always.

Steps to Reproduce:
1. Upgrade sssd and sssd-client to 1.5.1-9
2. Attempt to login using one of the AD accounts.
  
Actual results:
Authentication fails.

Expected results:
Works with 1.5.1-3.

Additional info:
See attached logs.

--- Additional comment from sgallagh@redhat.com on 2011-03-09 12:12:41 EST ---

Can you try running the following command from your Linux client and tell me what you get?

ldapsearch -x -W -D -H ldap://DC=srvr501.some.domainname.org \
cn=XXXXXXXX,ou="XXXXXXXXXXXXXXX",ou=XXXXXXXXXXXXXX,dc=some,dc=domainname,dc=org \
-b dc=some,dc=domainname,dc=org
'(&(member=CN=Smojver\5c, Bojan,OU=XXXXXXXX,OU=XXXXXX,DC=some,DC=domainname,DC=org)(objectclass=group))'

I want to see if this lookup is succeeding (obviously substitute the correct values for the OUs etc.)

--- Additional comment from sbose@redhat.com on 2011-03-09 15:32:02 EST ---

Can you also attach the log files of a successful authentication with 1.5.1-3 ?

--- Additional comment from bojan@rexursive.com on 2011-03-10 08:03:05 EST ---

Sorry about the delay. Work stuff. Will try getting this to you tomorrow.

--- Additional comment from sgallagh@redhat.com on 2011-03-10 08:05:26 EST ---

Re-setting the NeedInfo flag

--- Additional comment from sgallagh@redhat.com on 2011-03-10 08:35:46 EST ---

Also, can you let us know which Active Directory server it is? 2003R2 or 2008?
Comment 5 Kaushik Banerjee 2011-04-08 08:35:06 EDT
Steps to test:
1. Create a group "group1" with unix attributes.
2. Create a user "user1" with unix attributes, add this as a member of to group "group1".
3. Set "group1" as the primary group of "user1".
4. Create another group "group2" without any unix attributes. Add "user1" as member of this group(so that group2 becomes a supplementary group of user1).
5. Enumerate and Auth as user1.

Expected Result:
Enumeration(id -G -n user1) should show the primary group.
and Authentication(ssh -l user1 localhost) for user1 should be successful.

Actual Result:
# id -G -n user1
group1

# ssh -l user1 localhost
user1@localhost's password: 
Last login: Fri Apr  8 15:14:31 2011 from localhost

Verified that if the unix user is a member of a non-unix group, the group should just be ignored.

Version:
 rpm -qi sssd | head
Name        : sssd                         Relocations: (not relocatable)
Version     : 1.5.1                             Vendor: Red Hat, Inc.
Release     : 24.el6                        Build Date: Sat 02 Apr 2011 01:24:54 AM IST
Install Date: Wed 06 Apr 2011 07:17:24 PM IST      Build Host: x86-012.build.bos.redhat.com
Group       : Applications/System           Source RPM: sssd-1.5.1-24.el6.src.rpm
Size        : 3462740                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://fedorahosted.org/sssd/
Summary     : System Security Services Daemon
Comment 6 errata-xmlrpc 2011-05-19 07:39:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html
Comment 7 errata-xmlrpc 2011-05-19 09:09:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Note You need to log in before you can comment on or make changes to this bug.